// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.34.2
// 	protoc        v3.21.12
// source: yandex/cloud/ai/assistants/v1/searchindex/search_index.proto

package searchindex

import (
	common "github.com/yandex-cloud/go-genproto/yandex/cloud/ai/common"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	timestamppb "google.golang.org/protobuf/types/known/timestamppb"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// Represents a search index used to store and query data, either using traditional keyword-based text search or vector-based search mechanisms.
type SearchIndex struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Unique identifier of the search index.
	Id string `protobuf:"bytes,1,opt,name=id,proto3" json:"id,omitempty"`
	// ID of the folder that the search index belongs to.
	FolderId string `protobuf:"bytes,2,opt,name=folder_id,json=folderId,proto3" json:"folder_id,omitempty"`
	// Name of the search index.
	Name string `protobuf:"bytes,3,opt,name=name,proto3" json:"name,omitempty"`
	// Description of the search index.
	Description string `protobuf:"bytes,4,opt,name=description,proto3" json:"description,omitempty"`
	// Identifier of the subject who created this search index.
	CreatedBy string `protobuf:"bytes,5,opt,name=created_by,json=createdBy,proto3" json:"created_by,omitempty"`
	// Timestamp representing when the search index was created.
	CreatedAt *timestamppb.Timestamp `protobuf:"bytes,6,opt,name=created_at,json=createdAt,proto3" json:"created_at,omitempty"`
	// Identifier of the subject who last updated this search index.
	UpdatedBy string `protobuf:"bytes,7,opt,name=updated_by,json=updatedBy,proto3" json:"updated_by,omitempty"`
	// Timestamp representing the last time this search index was updated.
	UpdatedAt *timestamppb.Timestamp `protobuf:"bytes,8,opt,name=updated_at,json=updatedAt,proto3" json:"updated_at,omitempty"`
	// Configuration for the expiration of the search index, defining when and how the search index will expire.
	ExpirationConfig *common.ExpirationConfig `protobuf:"bytes,9,opt,name=expiration_config,json=expirationConfig,proto3" json:"expiration_config,omitempty"`
	// Timestamp representing when the search index will expire.
	ExpiresAt *timestamppb.Timestamp `protobuf:"bytes,10,opt,name=expires_at,json=expiresAt,proto3" json:"expires_at,omitempty"`
	// Set of key-value pairs that can be used to organize and categorize the search index.
	Labels map[string]string `protobuf:"bytes,11,rep,name=labels,proto3" json:"labels,omitempty" protobuf_key:"bytes,1,opt,name=key,proto3" protobuf_val:"bytes,2,opt,name=value,proto3"`
	// Type of the search index. It can be either a traditional keyword-based text search or a vector-based search.
	//
	// Types that are assignable to IndexType:
	//
	//	*SearchIndex_TextSearchIndex
	//	*SearchIndex_VectorSearchIndex
	//	*SearchIndex_HybridSearchIndex
	IndexType isSearchIndex_IndexType `protobuf_oneof:"IndexType"`
}

func (x *SearchIndex) Reset() {
	*x = SearchIndex{}
	if protoimpl.UnsafeEnabled {
		mi := &file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *SearchIndex) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*SearchIndex) ProtoMessage() {}

func (x *SearchIndex) ProtoReflect() protoreflect.Message {
	mi := &file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use SearchIndex.ProtoReflect.Descriptor instead.
func (*SearchIndex) Descriptor() ([]byte, []int) {
	return file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_rawDescGZIP(), []int{0}
}

func (x *SearchIndex) GetId() string {
	if x != nil {
		return x.Id
	}
	return ""
}

func (x *SearchIndex) GetFolderId() string {
	if x != nil {
		return x.FolderId
	}
	return ""
}

func (x *SearchIndex) GetName() string {
	if x != nil {
		return x.Name
	}
	return ""
}

func (x *SearchIndex) GetDescription() string {
	if x != nil {
		return x.Description
	}
	return ""
}

func (x *SearchIndex) GetCreatedBy() string {
	if x != nil {
		return x.CreatedBy
	}
	return ""
}

func (x *SearchIndex) GetCreatedAt() *timestamppb.Timestamp {
	if x != nil {
		return x.CreatedAt
	}
	return nil
}

func (x *SearchIndex) GetUpdatedBy() string {
	if x != nil {
		return x.UpdatedBy
	}
	return ""
}

func (x *SearchIndex) GetUpdatedAt() *timestamppb.Timestamp {
	if x != nil {
		return x.UpdatedAt
	}
	return nil
}

func (x *SearchIndex) GetExpirationConfig() *common.ExpirationConfig {
	if x != nil {
		return x.ExpirationConfig
	}
	return nil
}

func (x *SearchIndex) GetExpiresAt() *timestamppb.Timestamp {
	if x != nil {
		return x.ExpiresAt
	}
	return nil
}

func (x *SearchIndex) GetLabels() map[string]string {
	if x != nil {
		return x.Labels
	}
	return nil
}

func (m *SearchIndex) GetIndexType() isSearchIndex_IndexType {
	if m != nil {
		return m.IndexType
	}
	return nil
}

func (x *SearchIndex) GetTextSearchIndex() *TextSearchIndex {
	if x, ok := x.GetIndexType().(*SearchIndex_TextSearchIndex); ok {
		return x.TextSearchIndex
	}
	return nil
}

func (x *SearchIndex) GetVectorSearchIndex() *VectorSearchIndex {
	if x, ok := x.GetIndexType().(*SearchIndex_VectorSearchIndex); ok {
		return x.VectorSearchIndex
	}
	return nil
}

func (x *SearchIndex) GetHybridSearchIndex() *HybridSearchIndex {
	if x, ok := x.GetIndexType().(*SearchIndex_HybridSearchIndex); ok {
		return x.HybridSearchIndex
	}
	return nil
}

type isSearchIndex_IndexType interface {
	isSearchIndex_IndexType()
}

type SearchIndex_TextSearchIndex struct {
	// Keyword-based text search index configuration.
	// This type of index is used for traditional text search, where documents are indexed based on their keywords.
	TextSearchIndex *TextSearchIndex `protobuf:"bytes,12,opt,name=text_search_index,json=textSearchIndex,proto3,oneof"`
}

type SearchIndex_VectorSearchIndex struct {
	// Vector-based search index configuration.
	// This type is used for vector search, where documents are indexed using vector embeddings.
	VectorSearchIndex *VectorSearchIndex `protobuf:"bytes,13,opt,name=vector_search_index,json=vectorSearchIndex,proto3,oneof"`
}

type SearchIndex_HybridSearchIndex struct {
	// Hybrid (vector-based + keyword-based) search index configuration
	// This type is used for hybrid search, where documents are indexed using both keyword-based and vector-based search mechanisms.
	HybridSearchIndex *HybridSearchIndex `protobuf:"bytes,14,opt,name=hybrid_search_index,json=hybridSearchIndex,proto3,oneof"`
}

func (*SearchIndex_TextSearchIndex) isSearchIndex_IndexType() {}

func (*SearchIndex_VectorSearchIndex) isSearchIndex_IndexType() {}

func (*SearchIndex_HybridSearchIndex) isSearchIndex_IndexType() {}

// Defines the configuration for a traditional keyword-based text search index.
type TextSearchIndex struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Chunking strategy used to split text into smaller chunks before indexing.
	// In the case of text search, tokens are individual text characters.
	ChunkingStrategy *ChunkingStrategy `protobuf:"bytes,1,opt,name=chunking_strategy,json=chunkingStrategy,proto3" json:"chunking_strategy,omitempty"`
	// Tokenizer type used for text search. The tokenizer determines how the
	// input text is broken down into tokens before indexing.
	// If not specified, the default tokenizer configuration is applied.
	//
	// Types that are assignable to TextTokenizer:
	//
	//	*TextSearchIndex_NgramTokenizer
	TextTokenizer isTextSearchIndex_TextTokenizer `protobuf_oneof:"TextTokenizer"`
}

func (x *TextSearchIndex) Reset() {
	*x = TextSearchIndex{}
	if protoimpl.UnsafeEnabled {
		mi := &file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *TextSearchIndex) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*TextSearchIndex) ProtoMessage() {}

func (x *TextSearchIndex) ProtoReflect() protoreflect.Message {
	mi := &file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use TextSearchIndex.ProtoReflect.Descriptor instead.
func (*TextSearchIndex) Descriptor() ([]byte, []int) {
	return file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_rawDescGZIP(), []int{1}
}

func (x *TextSearchIndex) GetChunkingStrategy() *ChunkingStrategy {
	if x != nil {
		return x.ChunkingStrategy
	}
	return nil
}

func (m *TextSearchIndex) GetTextTokenizer() isTextSearchIndex_TextTokenizer {
	if m != nil {
		return m.TextTokenizer
	}
	return nil
}

func (x *TextSearchIndex) GetNgramTokenizer() *NgramTokenizer {
	if x, ok := x.GetTextTokenizer().(*TextSearchIndex_NgramTokenizer); ok {
		return x.NgramTokenizer
	}
	return nil
}

type isTextSearchIndex_TextTokenizer interface {
	isTextSearchIndex_TextTokenizer()
}

type TextSearchIndex_NgramTokenizer struct {
	// Tokenizer that generates n-grams.
	NgramTokenizer *NgramTokenizer `protobuf:"bytes,2,opt,name=ngram_tokenizer,json=ngramTokenizer,proto3,oneof"`
}

func (*TextSearchIndex_NgramTokenizer) isTextSearchIndex_TextTokenizer() {}

// Defines the configuration for a vector-based search index. This type uses embeddings to represent documents and queries.
type VectorSearchIndex struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// The [ID of the model](/docs/foundation-models/concepts/embeddings) to be used for obtaining document text embeddings.
	DocEmbedderUri string `protobuf:"bytes,1,opt,name=doc_embedder_uri,json=docEmbedderUri,proto3" json:"doc_embedder_uri,omitempty"`
	// The [ID of the model](/docs/foundation-models/concepts/embeddings) to be used for obtaining query text embeddings.
	QueryEmbedderUri string `protobuf:"bytes,2,opt,name=query_embedder_uri,json=queryEmbedderUri,proto3" json:"query_embedder_uri,omitempty"`
	// Chunking strategy used to split text into smaller chunks before indexing.
	// In the case of vector search, tokens are produced by the tokenizer from the embedding model.
	ChunkingStrategy *ChunkingStrategy `protobuf:"bytes,3,opt,name=chunking_strategy,json=chunkingStrategy,proto3" json:"chunking_strategy,omitempty"`
}

func (x *VectorSearchIndex) Reset() {
	*x = VectorSearchIndex{}
	if protoimpl.UnsafeEnabled {
		mi := &file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *VectorSearchIndex) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*VectorSearchIndex) ProtoMessage() {}

func (x *VectorSearchIndex) ProtoReflect() protoreflect.Message {
	mi := &file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use VectorSearchIndex.ProtoReflect.Descriptor instead.
func (*VectorSearchIndex) Descriptor() ([]byte, []int) {
	return file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_rawDescGZIP(), []int{2}
}

func (x *VectorSearchIndex) GetDocEmbedderUri() string {
	if x != nil {
		return x.DocEmbedderUri
	}
	return ""
}

func (x *VectorSearchIndex) GetQueryEmbedderUri() string {
	if x != nil {
		return x.QueryEmbedderUri
	}
	return ""
}

func (x *VectorSearchIndex) GetChunkingStrategy() *ChunkingStrategy {
	if x != nil {
		return x.ChunkingStrategy
	}
	return nil
}

// Defines the configuration for a hybrid (vector-based + keyword-based) search index. This type uses both embeddings and keyword-based search to represent documents and queries.
type HybridSearchIndex struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	// Configuration for a traditional keyword-based text search index.
	TextSearchIndex *TextSearchIndex `protobuf:"bytes,1,opt,name=text_search_index,json=textSearchIndex,proto3" json:"text_search_index,omitempty"`
	// Configuration for a vector-based search index.
	VectorSearchIndex *VectorSearchIndex `protobuf:"bytes,2,opt,name=vector_search_index,json=vectorSearchIndex,proto3" json:"vector_search_index,omitempty"`
	// Common chunking strategy that applies to both text and vector search indexes.
	// If provided, it overrides the individual chunking strategies in both `text_search_index` and `vector_search_index`.
	// In this case, both text and vector search will use token-based chunking, where tokens are produced by the tokenizer of the embedding model.
	ChunkingStrategy *ChunkingStrategy `protobuf:"bytes,3,opt,name=chunking_strategy,json=chunkingStrategy,proto3" json:"chunking_strategy,omitempty"`
	// Normalization strategy for relevance scores from different indices. Default is MIN_MAX_STRATEGY
	NormalizationStrategy NormalizationStrategy `protobuf:"varint,4,opt,name=normalization_strategy,json=normalizationStrategy,proto3,enum=yandex.cloud.ai.assistants.v1.searchindex.NormalizationStrategy" json:"normalization_strategy,omitempty"`
	// Combination strategy for merging rankings from different indices. Default is arithmetic mean
	CombinationStrategy *CombinationStrategy `protobuf:"bytes,5,opt,name=combination_strategy,json=combinationStrategy,proto3" json:"combination_strategy,omitempty"`
}

func (x *HybridSearchIndex) Reset() {
	*x = HybridSearchIndex{}
	if protoimpl.UnsafeEnabled {
		mi := &file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *HybridSearchIndex) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*HybridSearchIndex) ProtoMessage() {}

func (x *HybridSearchIndex) ProtoReflect() protoreflect.Message {
	mi := &file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use HybridSearchIndex.ProtoReflect.Descriptor instead.
func (*HybridSearchIndex) Descriptor() ([]byte, []int) {
	return file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_rawDescGZIP(), []int{3}
}

func (x *HybridSearchIndex) GetTextSearchIndex() *TextSearchIndex {
	if x != nil {
		return x.TextSearchIndex
	}
	return nil
}

func (x *HybridSearchIndex) GetVectorSearchIndex() *VectorSearchIndex {
	if x != nil {
		return x.VectorSearchIndex
	}
	return nil
}

func (x *HybridSearchIndex) GetChunkingStrategy() *ChunkingStrategy {
	if x != nil {
		return x.ChunkingStrategy
	}
	return nil
}

func (x *HybridSearchIndex) GetNormalizationStrategy() NormalizationStrategy {
	if x != nil {
		return x.NormalizationStrategy
	}
	return NormalizationStrategy_NORMALIZATION_STRATEGY_UNSPECIFIED
}

func (x *HybridSearchIndex) GetCombinationStrategy() *CombinationStrategy {
	if x != nil {
		return x.CombinationStrategy
	}
	return nil
}

var File_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto protoreflect.FileDescriptor

var file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_rawDesc = []byte{
	0x0a, 0x3c, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x61,
	0x69, 0x2f, 0x61, 0x73, 0x73, 0x69, 0x73, 0x74, 0x61, 0x6e, 0x74, 0x73, 0x2f, 0x76, 0x31, 0x2f,
	0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x2f, 0x73, 0x65, 0x61, 0x72,
	0x63, 0x68, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x12, 0x29,
	0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e,
	0x61, 0x73, 0x73, 0x69, 0x73, 0x74, 0x61, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x73, 0x65,
	0x61, 0x72, 0x63, 0x68, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x1a, 0x23, 0x79, 0x61, 0x6e, 0x64, 0x65,
	0x78, 0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x61, 0x69, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f,
	0x6e, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x36,
	0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2f, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x61, 0x69, 0x2f,
	0x61, 0x73, 0x73, 0x69, 0x73, 0x74, 0x61, 0x6e, 0x74, 0x73, 0x2f, 0x76, 0x31, 0x2f, 0x73, 0x65,
	0x61, 0x72, 0x63, 0x68, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x2f, 0x63, 0x6f, 0x6d, 0x6d, 0x6f, 0x6e,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x1f, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2f, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2f, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d,
	0x70, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22, 0xa4, 0x07, 0x0a, 0x0b, 0x53, 0x65, 0x61, 0x72,
	0x63, 0x68, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x12, 0x0e, 0x0a, 0x02, 0x69, 0x64, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x02, 0x69, 0x64, 0x12, 0x1b, 0x0a, 0x09, 0x66, 0x6f, 0x6c, 0x64, 0x65,
	0x72, 0x5f, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x08, 0x66, 0x6f, 0x6c, 0x64,
	0x65, 0x72, 0x49, 0x64, 0x12, 0x12, 0x0a, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x04, 0x6e, 0x61, 0x6d, 0x65, 0x12, 0x20, 0x0a, 0x0b, 0x64, 0x65, 0x73, 0x63,
	0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x18, 0x04, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x64,
	0x65, 0x73, 0x63, 0x72, 0x69, 0x70, 0x74, 0x69, 0x6f, 0x6e, 0x12, 0x1d, 0x0a, 0x0a, 0x63, 0x72,
	0x65, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x62, 0x79, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09,
	0x63, 0x72, 0x65, 0x61, 0x74, 0x65, 0x64, 0x42, 0x79, 0x12, 0x39, 0x0a, 0x0a, 0x63, 0x72, 0x65,
	0x61, 0x74, 0x65, 0x64, 0x5f, 0x61, 0x74, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e,
	0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e,
	0x54, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x63, 0x72, 0x65, 0x61, 0x74,
	0x65, 0x64, 0x41, 0x74, 0x12, 0x1d, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f,
	0x62, 0x79, 0x18, 0x07, 0x20, 0x01, 0x28, 0x09, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65,
	0x64, 0x42, 0x79, 0x12, 0x39, 0x0a, 0x0a, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x5f, 0x61,
	0x74, 0x18, 0x08, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65,
	0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65, 0x73, 0x74,
	0x61, 0x6d, 0x70, 0x52, 0x09, 0x75, 0x70, 0x64, 0x61, 0x74, 0x65, 0x64, 0x41, 0x74, 0x12, 0x55,
	0x0a, 0x11, 0x65, 0x78, 0x70, 0x69, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x63, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x18, 0x09, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x28, 0x2e, 0x79, 0x61, 0x6e, 0x64,
	0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x63, 0x6f, 0x6d, 0x6d,
	0x6f, 0x6e, 0x2e, 0x45, 0x78, 0x70, 0x69, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x43, 0x6f, 0x6e,
	0x66, 0x69, 0x67, 0x52, 0x10, 0x65, 0x78, 0x70, 0x69, 0x72, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x43,
	0x6f, 0x6e, 0x66, 0x69, 0x67, 0x12, 0x39, 0x0a, 0x0a, 0x65, 0x78, 0x70, 0x69, 0x72, 0x65, 0x73,
	0x5f, 0x61, 0x74, 0x18, 0x0a, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x1a, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x62, 0x75, 0x66, 0x2e, 0x54, 0x69, 0x6d, 0x65,
	0x73, 0x74, 0x61, 0x6d, 0x70, 0x52, 0x09, 0x65, 0x78, 0x70, 0x69, 0x72, 0x65, 0x73, 0x41, 0x74,
	0x12, 0x5a, 0x0a, 0x06, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x18, 0x0b, 0x20, 0x03, 0x28, 0x0b,
	0x32, 0x42, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e,
	0x61, 0x69, 0x2e, 0x61, 0x73, 0x73, 0x69, 0x73, 0x74, 0x61, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31,
	0x2e, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x53, 0x65, 0x61,
	0x72, 0x63, 0x68, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x45,
	0x6e, 0x74, 0x72, 0x79, 0x52, 0x06, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x73, 0x12, 0x68, 0x0a, 0x11,
	0x74, 0x65, 0x78, 0x74, 0x5f, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x5f, 0x69, 0x6e, 0x64, 0x65,
	0x78, 0x18, 0x0c, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x3a, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78,
	0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x61, 0x73, 0x73, 0x69, 0x73, 0x74,
	0x61, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x69, 0x6e,
	0x64, 0x65, 0x78, 0x2e, 0x54, 0x65, 0x78, 0x74, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x49, 0x6e,
	0x64, 0x65, 0x78, 0x48, 0x00, 0x52, 0x0f, 0x74, 0x65, 0x78, 0x74, 0x53, 0x65, 0x61, 0x72, 0x63,
	0x68, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x12, 0x6e, 0x0a, 0x13, 0x76, 0x65, 0x63, 0x74, 0x6f, 0x72,
	0x5f, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x18, 0x0d, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x3c, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f,
	0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x61, 0x73, 0x73, 0x69, 0x73, 0x74, 0x61, 0x6e, 0x74, 0x73,
	0x2e, 0x76, 0x31, 0x2e, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x2e,
	0x56, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x49, 0x6e, 0x64, 0x65,
	0x78, 0x48, 0x00, 0x52, 0x11, 0x76, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x53, 0x65, 0x61, 0x72, 0x63,
	0x68, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x12, 0x6e, 0x0a, 0x13, 0x68, 0x79, 0x62, 0x72, 0x69, 0x64,
	0x5f, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x18, 0x0e, 0x20,
	0x01, 0x28, 0x0b, 0x32, 0x3c, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f,
	0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x61, 0x73, 0x73, 0x69, 0x73, 0x74, 0x61, 0x6e, 0x74, 0x73,
	0x2e, 0x76, 0x31, 0x2e, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x2e,
	0x48, 0x79, 0x62, 0x72, 0x69, 0x64, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x49, 0x6e, 0x64, 0x65,
	0x78, 0x48, 0x00, 0x52, 0x11, 0x68, 0x79, 0x62, 0x72, 0x69, 0x64, 0x53, 0x65, 0x61, 0x72, 0x63,
	0x68, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x1a, 0x39, 0x0a, 0x0b, 0x4c, 0x61, 0x62, 0x65, 0x6c, 0x73,
	0x45, 0x6e, 0x74, 0x72, 0x79, 0x12, 0x10, 0x0a, 0x03, 0x6b, 0x65, 0x79, 0x18, 0x01, 0x20, 0x01,
	0x28, 0x09, 0x52, 0x03, 0x6b, 0x65, 0x79, 0x12, 0x14, 0x0a, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x76, 0x61, 0x6c, 0x75, 0x65, 0x3a, 0x02, 0x38,
	0x01, 0x42, 0x0b, 0x0a, 0x09, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x54, 0x79, 0x70, 0x65, 0x22, 0xf2,
	0x01, 0x0a, 0x0f, 0x54, 0x65, 0x78, 0x74, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x49, 0x6e, 0x64,
	0x65, 0x78, 0x12, 0x68, 0x0a, 0x11, 0x63, 0x68, 0x75, 0x6e, 0x6b, 0x69, 0x6e, 0x67, 0x5f, 0x73,
	0x74, 0x72, 0x61, 0x74, 0x65, 0x67, 0x79, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x3b, 0x2e,
	0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e,
	0x61, 0x73, 0x73, 0x69, 0x73, 0x74, 0x61, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x73, 0x65,
	0x61, 0x72, 0x63, 0x68, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x43, 0x68, 0x75, 0x6e, 0x6b, 0x69,
	0x6e, 0x67, 0x53, 0x74, 0x72, 0x61, 0x74, 0x65, 0x67, 0x79, 0x52, 0x10, 0x63, 0x68, 0x75, 0x6e,
	0x6b, 0x69, 0x6e, 0x67, 0x53, 0x74, 0x72, 0x61, 0x74, 0x65, 0x67, 0x79, 0x12, 0x64, 0x0a, 0x0f,
	0x6e, 0x67, 0x72, 0x61, 0x6d, 0x5f, 0x74, 0x6f, 0x6b, 0x65, 0x6e, 0x69, 0x7a, 0x65, 0x72, 0x18,
	0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x39, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x61, 0x73, 0x73, 0x69, 0x73, 0x74, 0x61, 0x6e,
	0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x69, 0x6e, 0x64, 0x65,
	0x78, 0x2e, 0x4e, 0x67, 0x72, 0x61, 0x6d, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x69, 0x7a, 0x65, 0x72,
	0x48, 0x00, 0x52, 0x0e, 0x6e, 0x67, 0x72, 0x61, 0x6d, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x69, 0x7a,
	0x65, 0x72, 0x42, 0x0f, 0x0a, 0x0d, 0x54, 0x65, 0x78, 0x74, 0x54, 0x6f, 0x6b, 0x65, 0x6e, 0x69,
	0x7a, 0x65, 0x72, 0x22, 0xd5, 0x01, 0x0a, 0x11, 0x56, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x53, 0x65,
	0x61, 0x72, 0x63, 0x68, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x12, 0x28, 0x0a, 0x10, 0x64, 0x6f, 0x63,
	0x5f, 0x65, 0x6d, 0x62, 0x65, 0x64, 0x64, 0x65, 0x72, 0x5f, 0x75, 0x72, 0x69, 0x18, 0x01, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0e, 0x64, 0x6f, 0x63, 0x45, 0x6d, 0x62, 0x65, 0x64, 0x64, 0x65, 0x72,
	0x55, 0x72, 0x69, 0x12, 0x2c, 0x0a, 0x12, 0x71, 0x75, 0x65, 0x72, 0x79, 0x5f, 0x65, 0x6d, 0x62,
	0x65, 0x64, 0x64, 0x65, 0x72, 0x5f, 0x75, 0x72, 0x69, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x10, 0x71, 0x75, 0x65, 0x72, 0x79, 0x45, 0x6d, 0x62, 0x65, 0x64, 0x64, 0x65, 0x72, 0x55, 0x72,
	0x69, 0x12, 0x68, 0x0a, 0x11, 0x63, 0x68, 0x75, 0x6e, 0x6b, 0x69, 0x6e, 0x67, 0x5f, 0x73, 0x74,
	0x72, 0x61, 0x74, 0x65, 0x67, 0x79, 0x18, 0x03, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x3b, 0x2e, 0x79,
	0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x61,
	0x73, 0x73, 0x69, 0x73, 0x74, 0x61, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x73, 0x65, 0x61,
	0x72, 0x63, 0x68, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x43, 0x68, 0x75, 0x6e, 0x6b, 0x69, 0x6e,
	0x67, 0x53, 0x74, 0x72, 0x61, 0x74, 0x65, 0x67, 0x79, 0x52, 0x10, 0x63, 0x68, 0x75, 0x6e, 0x6b,
	0x69, 0x6e, 0x67, 0x53, 0x74, 0x72, 0x61, 0x74, 0x65, 0x67, 0x79, 0x22, 0xbf, 0x04, 0x0a, 0x11,
	0x48, 0x79, 0x62, 0x72, 0x69, 0x64, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x49, 0x6e, 0x64, 0x65,
	0x78, 0x12, 0x66, 0x0a, 0x11, 0x74, 0x65, 0x78, 0x74, 0x5f, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68,
	0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x3a, 0x2e, 0x79,
	0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x61,
	0x73, 0x73, 0x69, 0x73, 0x74, 0x61, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x73, 0x65, 0x61,
	0x72, 0x63, 0x68, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x54, 0x65, 0x78, 0x74, 0x53, 0x65, 0x61,
	0x72, 0x63, 0x68, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x52, 0x0f, 0x74, 0x65, 0x78, 0x74, 0x53, 0x65,
	0x61, 0x72, 0x63, 0x68, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x12, 0x6c, 0x0a, 0x13, 0x76, 0x65, 0x63,
	0x74, 0x6f, 0x72, 0x5f, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x5f, 0x69, 0x6e, 0x64, 0x65, 0x78,
	0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x3c, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e,
	0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x61, 0x73, 0x73, 0x69, 0x73, 0x74, 0x61,
	0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x69, 0x6e, 0x64,
	0x65, 0x78, 0x2e, 0x56, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x53, 0x65, 0x61, 0x72, 0x63, 0x68, 0x49,
	0x6e, 0x64, 0x65, 0x78, 0x52, 0x11, 0x76, 0x65, 0x63, 0x74, 0x6f, 0x72, 0x53, 0x65, 0x61, 0x72,
	0x63, 0x68, 0x49, 0x6e, 0x64, 0x65, 0x78, 0x12, 0x68, 0x0a, 0x11, 0x63, 0x68, 0x75, 0x6e, 0x6b,
	0x69, 0x6e, 0x67, 0x5f, 0x73, 0x74, 0x72, 0x61, 0x74, 0x65, 0x67, 0x79, 0x18, 0x03, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x3b, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2e, 0x61, 0x69, 0x2e, 0x61, 0x73, 0x73, 0x69, 0x73, 0x74, 0x61, 0x6e, 0x74, 0x73, 0x2e,
	0x76, 0x31, 0x2e, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x43,
	0x68, 0x75, 0x6e, 0x6b, 0x69, 0x6e, 0x67, 0x53, 0x74, 0x72, 0x61, 0x74, 0x65, 0x67, 0x79, 0x52,
	0x10, 0x63, 0x68, 0x75, 0x6e, 0x6b, 0x69, 0x6e, 0x67, 0x53, 0x74, 0x72, 0x61, 0x74, 0x65, 0x67,
	0x79, 0x12, 0x77, 0x0a, 0x16, 0x6e, 0x6f, 0x72, 0x6d, 0x61, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x5f, 0x73, 0x74, 0x72, 0x61, 0x74, 0x65, 0x67, 0x79, 0x18, 0x04, 0x20, 0x01, 0x28,
	0x0e, 0x32, 0x40, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64,
	0x2e, 0x61, 0x69, 0x2e, 0x61, 0x73, 0x73, 0x69, 0x73, 0x74, 0x61, 0x6e, 0x74, 0x73, 0x2e, 0x76,
	0x31, 0x2e, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x4e, 0x6f,
	0x72, 0x6d, 0x61, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x74, 0x72, 0x61, 0x74,
	0x65, 0x67, 0x79, 0x52, 0x15, 0x6e, 0x6f, 0x72, 0x6d, 0x61, 0x6c, 0x69, 0x7a, 0x61, 0x74, 0x69,
	0x6f, 0x6e, 0x53, 0x74, 0x72, 0x61, 0x74, 0x65, 0x67, 0x79, 0x12, 0x71, 0x0a, 0x14, 0x63, 0x6f,
	0x6d, 0x62, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e, 0x5f, 0x73, 0x74, 0x72, 0x61, 0x74, 0x65,
	0x67, 0x79, 0x18, 0x05, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x3e, 0x2e, 0x79, 0x61, 0x6e, 0x64, 0x65,
	0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61, 0x69, 0x2e, 0x61, 0x73, 0x73, 0x69, 0x73,
	0x74, 0x61, 0x6e, 0x74, 0x73, 0x2e, 0x76, 0x31, 0x2e, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x69,
	0x6e, 0x64, 0x65, 0x78, 0x2e, 0x43, 0x6f, 0x6d, 0x62, 0x69, 0x6e, 0x61, 0x74, 0x69, 0x6f, 0x6e,
	0x53, 0x74, 0x72, 0x61, 0x74, 0x65, 0x67, 0x79, 0x52, 0x13, 0x63, 0x6f, 0x6d, 0x62, 0x69, 0x6e,
	0x61, 0x74, 0x69, 0x6f, 0x6e, 0x53, 0x74, 0x72, 0x61, 0x74, 0x65, 0x67, 0x79, 0x42, 0x8a, 0x01,
	0x0a, 0x2d, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2e, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x61,
	0x70, 0x69, 0x2e, 0x61, 0x69, 0x2e, 0x61, 0x73, 0x73, 0x69, 0x73, 0x74, 0x61, 0x6e, 0x74, 0x73,
	0x2e, 0x76, 0x31, 0x2e, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x5a,
	0x59, 0x67, 0x69, 0x74, 0x68, 0x75, 0x62, 0x2e, 0x63, 0x6f, 0x6d, 0x2f, 0x79, 0x61, 0x6e, 0x64,
	0x65, 0x78, 0x2d, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x67, 0x6f, 0x2d, 0x67, 0x65, 0x6e, 0x70,
	0x72, 0x6f, 0x74, 0x6f, 0x2f, 0x79, 0x61, 0x6e, 0x64, 0x65, 0x78, 0x2f, 0x63, 0x6c, 0x6f, 0x75,
	0x64, 0x2f, 0x61, 0x69, 0x2f, 0x61, 0x73, 0x73, 0x69, 0x73, 0x74, 0x61, 0x6e, 0x74, 0x73, 0x2f,
	0x76, 0x31, 0x2f, 0x73, 0x65, 0x61, 0x72, 0x63, 0x68, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x3b, 0x73,
	0x65, 0x61, 0x72, 0x63, 0x68, 0x69, 0x6e, 0x64, 0x65, 0x78, 0x62, 0x06, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x33,
}

var (
	file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_rawDescOnce sync.Once
	file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_rawDescData = file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_rawDesc
)

func file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_rawDescGZIP() []byte {
	file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_rawDescOnce.Do(func() {
		file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_rawDescData = protoimpl.X.CompressGZIP(file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_rawDescData)
	})
	return file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_rawDescData
}

var file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_msgTypes = make([]protoimpl.MessageInfo, 5)
var file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_goTypes = []any{
	(*SearchIndex)(nil),             // 0: yandex.cloud.ai.assistants.v1.searchindex.SearchIndex
	(*TextSearchIndex)(nil),         // 1: yandex.cloud.ai.assistants.v1.searchindex.TextSearchIndex
	(*VectorSearchIndex)(nil),       // 2: yandex.cloud.ai.assistants.v1.searchindex.VectorSearchIndex
	(*HybridSearchIndex)(nil),       // 3: yandex.cloud.ai.assistants.v1.searchindex.HybridSearchIndex
	nil,                             // 4: yandex.cloud.ai.assistants.v1.searchindex.SearchIndex.LabelsEntry
	(*timestamppb.Timestamp)(nil),   // 5: google.protobuf.Timestamp
	(*common.ExpirationConfig)(nil), // 6: yandex.cloud.ai.common.ExpirationConfig
	(*ChunkingStrategy)(nil),        // 7: yandex.cloud.ai.assistants.v1.searchindex.ChunkingStrategy
	(*NgramTokenizer)(nil),          // 8: yandex.cloud.ai.assistants.v1.searchindex.NgramTokenizer
	(NormalizationStrategy)(0),      // 9: yandex.cloud.ai.assistants.v1.searchindex.NormalizationStrategy
	(*CombinationStrategy)(nil),     // 10: yandex.cloud.ai.assistants.v1.searchindex.CombinationStrategy
}
var file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_depIdxs = []int32{
	5,  // 0: yandex.cloud.ai.assistants.v1.searchindex.SearchIndex.created_at:type_name -> google.protobuf.Timestamp
	5,  // 1: yandex.cloud.ai.assistants.v1.searchindex.SearchIndex.updated_at:type_name -> google.protobuf.Timestamp
	6,  // 2: yandex.cloud.ai.assistants.v1.searchindex.SearchIndex.expiration_config:type_name -> yandex.cloud.ai.common.ExpirationConfig
	5,  // 3: yandex.cloud.ai.assistants.v1.searchindex.SearchIndex.expires_at:type_name -> google.protobuf.Timestamp
	4,  // 4: yandex.cloud.ai.assistants.v1.searchindex.SearchIndex.labels:type_name -> yandex.cloud.ai.assistants.v1.searchindex.SearchIndex.LabelsEntry
	1,  // 5: yandex.cloud.ai.assistants.v1.searchindex.SearchIndex.text_search_index:type_name -> yandex.cloud.ai.assistants.v1.searchindex.TextSearchIndex
	2,  // 6: yandex.cloud.ai.assistants.v1.searchindex.SearchIndex.vector_search_index:type_name -> yandex.cloud.ai.assistants.v1.searchindex.VectorSearchIndex
	3,  // 7: yandex.cloud.ai.assistants.v1.searchindex.SearchIndex.hybrid_search_index:type_name -> yandex.cloud.ai.assistants.v1.searchindex.HybridSearchIndex
	7,  // 8: yandex.cloud.ai.assistants.v1.searchindex.TextSearchIndex.chunking_strategy:type_name -> yandex.cloud.ai.assistants.v1.searchindex.ChunkingStrategy
	8,  // 9: yandex.cloud.ai.assistants.v1.searchindex.TextSearchIndex.ngram_tokenizer:type_name -> yandex.cloud.ai.assistants.v1.searchindex.NgramTokenizer
	7,  // 10: yandex.cloud.ai.assistants.v1.searchindex.VectorSearchIndex.chunking_strategy:type_name -> yandex.cloud.ai.assistants.v1.searchindex.ChunkingStrategy
	1,  // 11: yandex.cloud.ai.assistants.v1.searchindex.HybridSearchIndex.text_search_index:type_name -> yandex.cloud.ai.assistants.v1.searchindex.TextSearchIndex
	2,  // 12: yandex.cloud.ai.assistants.v1.searchindex.HybridSearchIndex.vector_search_index:type_name -> yandex.cloud.ai.assistants.v1.searchindex.VectorSearchIndex
	7,  // 13: yandex.cloud.ai.assistants.v1.searchindex.HybridSearchIndex.chunking_strategy:type_name -> yandex.cloud.ai.assistants.v1.searchindex.ChunkingStrategy
	9,  // 14: yandex.cloud.ai.assistants.v1.searchindex.HybridSearchIndex.normalization_strategy:type_name -> yandex.cloud.ai.assistants.v1.searchindex.NormalizationStrategy
	10, // 15: yandex.cloud.ai.assistants.v1.searchindex.HybridSearchIndex.combination_strategy:type_name -> yandex.cloud.ai.assistants.v1.searchindex.CombinationStrategy
	16, // [16:16] is the sub-list for method output_type
	16, // [16:16] is the sub-list for method input_type
	16, // [16:16] is the sub-list for extension type_name
	16, // [16:16] is the sub-list for extension extendee
	0,  // [0:16] is the sub-list for field type_name
}

func init() { file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_init() }
func file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_init() {
	if File_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto != nil {
		return
	}
	file_yandex_cloud_ai_assistants_v1_searchindex_common_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_msgTypes[0].Exporter = func(v any, i int) any {
			switch v := v.(*SearchIndex); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_msgTypes[1].Exporter = func(v any, i int) any {
			switch v := v.(*TextSearchIndex); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_msgTypes[2].Exporter = func(v any, i int) any {
			switch v := v.(*VectorSearchIndex); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_msgTypes[3].Exporter = func(v any, i int) any {
			switch v := v.(*HybridSearchIndex); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_msgTypes[0].OneofWrappers = []any{
		(*SearchIndex_TextSearchIndex)(nil),
		(*SearchIndex_VectorSearchIndex)(nil),
		(*SearchIndex_HybridSearchIndex)(nil),
	}
	file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_msgTypes[1].OneofWrappers = []any{
		(*TextSearchIndex_NgramTokenizer)(nil),
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   5,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_goTypes,
		DependencyIndexes: file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_depIdxs,
		MessageInfos:      file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_msgTypes,
	}.Build()
	File_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto = out.File
	file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_rawDesc = nil
	file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_goTypes = nil
	file_yandex_cloud_ai_assistants_v1_searchindex_search_index_proto_depIdxs = nil
}
